<template>
    <div>
        <button @click="changeDisplayStyleShow()" type="button" class="btn btn-primary m-4">Raum hinzufügen</button>
        <div id="notShown" ref="notShown">
            <div class="container">
                <div class="form-group">
                    <b-form @submit="postRaum" method="post">
                        <input type="text" name="Raumnummer" id="" placeholder="Raumnummer" v-model="raum.raumNummer"
                            class="form-control"> <br>
                        <input type="text" name="Raumbezeichnung" id="" placeholder="Raumbezeichnung"
                            v-model="raum.raumBezeichnung" class="form-control"> <br>
                        <button type="submit" class="btn container-fluid btn-info"
                            @click="changeDisplayStyleHide()">Hinzufügen</button>
                    </b-form>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'RaumPost',
    components: {

    },
    data() {
        return {


            raum: {
                raumNummer: null,
                raumBezeichnung: null,
            }
        }
    },

    methods: {
        postRaum(e) {
            console.log(this.raum)
            const response = this.$store.dispatch('postRaum', this.raum)
                .then((result) => {
                    console.log(result)
                    console.log(response)
                })
            e.preventDefault()

        },
        changeDisplayStyleShow: function () {
            this.$refs.notShown.style.display = "block";
        },
        changeDisplayStyleHide: function () {
            this.$refs.notShown.style.display = "none";
        }
    }
}
</script>

<style>
#notShown {
    display: none;
}
</style>